#### D.2.13.7 stopTask

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  stopTask(t), t task

Return:
  nothing. Stops the t and sets its state to 'stopped'.

Note:
  A task whose state is not 'started' cannot be stopped.
  Intermediate results are discarded when a task is stopped.
  killTask() should be called for any no longer needed task.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = "std", list(I);
    startTasks(t);
    stopTask(t);
    t;
    ==> A task with the following properties:
    ==> command:          std
    ==> no. of arguments: 1
    ==> state:            stopped
    ==>
    killTask(t);

See also: getState; killTask; pollTask; printTask; startTasks; waitTasks.

User manual for Singular version 4.4.1, 2025, generated by texi2html.